Bug 329873

Summary: Crash during face detection
Product: digikam Reporter: Karl-Wilhelm Frommeyer <karl-wilhelm>
Component: Faces-DetectionAssignee: Digikam Developers <digikam-bugs-null>
Status: RESOLVED FIXED    
Severity: crash CC: caulier.gilles
Priority: NOR Keywords: drkonqi
Version: 3.5.0   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.13.0
Attachments: attachment-27756-0.html

Description Karl-Wilhelm Frommeyer 2014-01-12 13:02:46 UTC
Application: digikam (3.5.0)
KDE Platform Version: 4.11.3
Qt Version: 4.8.4
Operating System: Linux 3.11.0-15-generic x86_64
Distribution: Ubuntu 13.10

-- Information about the crash:
- What I was doing when the application crashed:
I changed face attributes of jpg-files. After changing some 20 attributes all cores were busy and swap utilisation increased.
I changed to folders to stop that, but swap increased and when reaching the limit (10 GB) digikam crashed.

The crash can be reproduced sometimes.

-- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f488b76fac0 (LWP 3425))]

Thread 12 (Thread 0x7f4860317700 (LWP 3427)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4885e63406 in wait (time=18446744073709551615, this=0x2ab25d0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2ab24e0, mutex=mutex@entry=0x2ab24d8, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005d5fce in Digikam::ScanController::run (this=0x2ab2270) at /build/buildd/digikam-3.5.0/core/digikam/database/scancontroller.cpp:725
#4  0x00007f4885e62f2f in QThreadPrivate::start (arg=0x2ab2270) at thread/qthread_unix.cpp:338
#5  0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#6  0x00007f4880357f6e in start_thread (arg=0x7f4860317700) at pthread_create.c:311
#7  0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7f485fb16700 (LWP 3428)):
#0  0x00007f487d9300ed in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f487d930399 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8f0286 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f487d8f0708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x7f48500008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f485fb159b0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f485fb159b0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f4885e6088f in QThread::exec (this=this@entry=0x2ab4a10) at thread/qthread.cpp:542
#9  0x00007f4885f42d13 in QInotifyFileSystemWatcherEngine::run (this=0x2ab4a10) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007f4885e62f2f in QThreadPrivate::start (arg=0x2ab4a10) at thread/qthread_unix.cpp:338
#11 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#12 0x00007f4880357f6e in start_thread (arg=0x7f485fb16700) at pthread_create.c:311
#13 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7f485f315700 (LWP 3435)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f4885e63406 in wait (time=18446744073709551615, this=0x2df8560) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=this@entry=0x2df8030, mutex=mutex@entry=0x2df8028, time=time@entry=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f4888d049ca in Digikam::ParkingThread::run (this=0x2df8010) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:119
#4  0x00007f4885e62f2f in QThreadPrivate::start (arg=0x2df8010) at thread/qthread_unix.cpp:338
#5  0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#6  0x00007f4880357f6e in start_thread (arg=0x7f485f315700) at pthread_create.c:311
#7  0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7f485da47700 (LWP 3436)):
#0  0x00007f487d9300ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f487d930399 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8efd59 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f487d8f05c3 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x7f48480008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f485da469b0, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f485da469b0, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f4885e6088f in QThread::exec (this=this@entry=0x34b6ba0) at thread/qthread.cpp:542
#9  0x00007f4885f42d13 in QInotifyFileSystemWatcherEngine::run (this=0x34b6ba0) at io/qfilesystemwatcher_inotify.cpp:265
#10 0x00007f4885e62f2f in QThreadPrivate::start (arg=0x34b6ba0) at thread/qthread_unix.cpp:338
#11 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#12 0x00007f4880357f6e in start_thread (arg=0x7f485da47700) at pthread_create.c:311
#13 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7f484dc37700 (LWP 3440)):
#0  0x00007f487d9300ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f487d930399 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8ef7f0 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f487d8f0565 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x7f48300008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f484dc36980, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f484dc36980, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f4888d04073 in Digikam::WorkerObjectRunnable::run (this=0x5bc2d80) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f4885e567ae in QThreadPoolThread::run (this=0x4a29cb0) at concurrent/qthreadpool.cpp:107
#10 0x00007f4885e62f2f in QThreadPrivate::start (arg=0x4a29cb0) at thread/qthread_unix.cpp:338
#11 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#12 0x00007f4880357f6e in start_thread (arg=0x7f484dc37700) at pthread_create.c:311
#13 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7f482dffb700 (LWP 3454)):
#0  0x00007f4884fb990e in __GI_____strtod_l_internal (nptr=0x7f4763447ca2 "0,, 0., 0., 0., 0., 1.04058278e-03,\n", endptr=0x7f482dff2ae0, group=<optimized out>, loc=<optimized out>) at strtod_l.c:781
#1  0x00007f4882a1b945 in ?? () from /usr/lib/libopencv_core.so.2.4
#2  0x00007f4882a34a74 in ?? () from /usr/lib/libopencv_core.so.2.4
#3  0x00007f4882a34c7e in ?? () from /usr/lib/libopencv_core.so.2.4
#4  0x00007f4882a35008 in ?? () from /usr/lib/libopencv_core.so.2.4
#5  0x00007f4882a34f33 in ?? () from /usr/lib/libopencv_core.so.2.4
#6  0x00007f4882a35008 in ?? () from /usr/lib/libopencv_core.so.2.4
#7  0x00007f4882a35d7a in cvOpenFileStorage () from /usr/lib/libopencv_core.so.2.4
#8  0x00007f4882a36f27 in cv::FileStorage::open(std::string const&, int, std::string const&) () from /usr/lib/libopencv_core.so.2.4
#9  0x00007f4882a3705a in cv::FileStorage::FileStorage(std::string const&, int, std::string const&) () from /usr/lib/libopencv_core.so.2.4
#10 0x00007f4889b61d6f in ?? () from /usr/lib/libkface.so.2
#11 0x00007f4889b94edc in ?? () from /usr/lib/libkface.so.2
#12 0x00007f4889b63efe in ?? () from /usr/lib/libkface.so.2
#13 0x00007f4889b7d633 in KFaceIface::RecognitionDatabase::Private::train(KFaceIface::OpenCVLBPHFaceRecognizer*, QList<KFaceIface::Identity> const&, KFaceIface::TrainingDataProvider*, QString const&) () from /usr/lib/libkface.so.2
#14 0x00007f4889b7da75 in KFaceIface::RecognitionDatabase::train(QList<KFaceIface::Identity> const&, KFaceIface::TrainingDataProvider*, QString const&) () from /usr/lib/libkface.so.2
#15 0x00000000006d348e in Digikam::Trainer::process (this=0x32c4370, package=...) at /build/buildd/digikam-3.5.0/core/utilities/facemanagement/facepipeline.cpp:974
#16 0x00000000006d3911 in Digikam::Trainer::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at /build/buildd/digikam-3.5.0/obj-x86_64-linux-gnu/core/digikam/facepipeline_p.moc:580
#17 0x00007f4885f7adce in QObject::event (this=0x32c4370, e=<optimized out>) at kernel/qobject.cpp:1194
#18 0x00007f4886961dfc in QApplicationPrivate::notify_helper (this=this@entry=0x28da8d0, receiver=receiver@entry=0x32c4370, e=e@entry=0x7f48302a61c0) at kernel/qapplication.cpp:4567
#19 0x00007f4886968470 in QApplication::notify (this=this@entry=0x7fffb53a04b0, receiver=receiver@entry=0x32c4370, e=e@entry=0x7f48302a61c0) at kernel/qapplication.cpp:4353
#20 0x00007f4887671a6a in KApplication::notify (this=0x7fffb53a04b0, receiver=0x32c4370, event=0x7f48302a61c0) at ../../kdeui/kernel/kapplication.cpp:311
#21 0x00007f4885f628bd in QCoreApplication::notifyInternal (this=0x7fffb53a04b0, receiver=receiver@entry=0x32c4370, event=event@entry=0x7f48302a61c0) at kernel/qcoreapplication.cpp:946
#22 0x00007f4885f65e1f in sendEvent (event=0x7f48302a61c0, receiver=0x32c4370) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#23 QCoreApplicationPrivate::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x4a87800) at kernel/qcoreapplication.cpp:1570
#24 0x00007f4885f662c3 in QCoreApplication::sendPostedEvents (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1463
#25 0x00007f4885f90073 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#26 postEventSourceDispatch (s=0x7f47f8001300) at kernel/qeventdispatcher_glib.cpp:279
#27 0x00007f487d8f03b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#28 0x00007f487d8f0708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#29 0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#30 0x00007f4885f8fa55 in QEventDispatcherGlib::processEvents (this=0x7f47f80008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#31 0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f482dffa980, flags=...) at kernel/qeventloop.cpp:149
#32 0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f482dffa980, flags=...) at kernel/qeventloop.cpp:204
#33 0x00007f4888d04073 in Digikam::WorkerObjectRunnable::run (this=0x4bd8bc0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#34 0x00007f4885e567ae in QThreadPoolThread::run (this=0x4a87660) at concurrent/qthreadpool.cpp:107
#35 0x00007f4885e62f2f in QThreadPrivate::start (arg=0x4a87660) at thread/qthread_unix.cpp:338
#36 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#37 0x00007f4880357f6e in start_thread (arg=0x7f482dffb700) at pthread_create.c:311
#38 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7f48417f2700 (LWP 3490)):
#0  0x00007f487d9300ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f487d9303c9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8ef830 in g_main_context_acquire () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f487d8f0565 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x7f4808035be0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f48417f1980, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f48417f1980, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f4888d04073 in Digikam::WorkerObjectRunnable::run (this=0x7f48302a60f0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f4885e567ae in QThreadPoolThread::run (this=0x4a88fd0) at concurrent/qthreadpool.cpp:107
#10 0x00007f4885e62f2f in QThreadPrivate::start (arg=0x4a88fd0) at thread/qthread_unix.cpp:338
#11 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#12 0x00007f4880357f6e in start_thread (arg=0x7f48417f2700) at pthread_create.c:311
#13 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7f47da7fc700 (LWP 3492)):
#0  0x00007f487d9300ed in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f487d9303c9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8efd40 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f487d8f05c3 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x2b3d610, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f47da7fb980, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f47da7fb980, flags=...) at kernel/qeventloop.cpp:204
#8  0x00007f4888d04073 in Digikam::WorkerObjectRunnable::run (this=0x7f48080506b0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#9  0x00007f4885e567ae in QThreadPoolThread::run (this=0x4a80140) at concurrent/qthreadpool.cpp:107
#10 0x00007f4885e62f2f in QThreadPrivate::start (arg=0x4a80140) at thread/qthread_unix.cpp:338
#11 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#12 0x00007f4880357f6e in start_thread (arg=0x7f47da7fc700) at pthread_create.c:311
#13 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7f484caaf700 (LWP 3493)):
#0  0x00007f487d9300ea in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f487d9303c9 in g_mutex_unlock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8f0651 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x7f4838167750, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f484caae980, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f484caae980, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f4888d04073 in Digikam::WorkerObjectRunnable::run (this=0x7f480804c6a0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f4885e567ae in QThreadPoolThread::run (this=0x4a7e5a0) at concurrent/qthreadpool.cpp:107
#9  0x00007f4885e62f2f in QThreadPrivate::start (arg=0x4a7e5a0) at thread/qthread_unix.cpp:338
#10 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#11 0x00007f4880357f6e in start_thread (arg=0x7f484caaf700) at pthread_create.c:311
#12 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7f4841ff3700 (LWP 3494)):
#0  0x00007f4885f8f753 in socketNotifierSourcePrepare (timeout=0x7f4841ff27c4) at kernel/qeventdispatcher_glib.cpp:73
#1  0x00007f487d8efd4d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8f05c3 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x7f48100650e0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f4841ff2980, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f4841ff2980, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f4888d04073 in Digikam::WorkerObjectRunnable::run (this=0x7f480804e660) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#8  0x00007f4885e567ae in QThreadPoolThread::run (this=0x45b8330) at concurrent/qthreadpool.cpp:107
#9  0x00007f4885e62f2f in QThreadPrivate::start (arg=0x45b8330) at thread/qthread_unix.cpp:338
#10 0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#11 0x00007f4880357f6e in start_thread (arg=0x7f4841ff3700) at pthread_create.c:311
#12 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7f4843ff7700 (LWP 3495)):
#0  0x00007f4885065f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f487d8f06a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x7f47fc013100, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7f4843ff6980, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7f4843ff6980, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f4888d04073 in Digikam::WorkerObjectRunnable::run (this=0x7f480804e8f0) at /build/buildd/digikam-3.5.0/core/libs/threads/threadmanager.cpp:196
#7  0x00007f4885e567ae in QThreadPoolThread::run (this=0x4a7fa80) at concurrent/qthreadpool.cpp:107
#8  0x00007f4885e62f2f in QThreadPrivate::start (arg=0x4a7fa80) at thread/qthread_unix.cpp:338
#9  0x00007f4871ff2764 in ?? () from /usr/lib/nvidia-304/libGL.so.1
#10 0x00007f4880357f6e in start_thread (arg=0x7f4843ff7700) at pthread_create.c:311
#11 0x00007f48850729cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7f488b76fac0 (LWP 3425)):
[KCrash Handler]
#6  0x0000000000000000 in ?? ()
#7  0x00007f4886c79cae in QStyleSheetStyle::event (this=0x385d690, e=0x7fffb539ea80) at styles/qstylesheetstyle.cpp:5798
#8  0x00007f4886961dfc in QApplicationPrivate::notify_helper (this=this@entry=0x28da8d0, receiver=receiver@entry=0x385d690, e=e@entry=0x7fffb539ea80) at kernel/qapplication.cpp:4567
#9  0x00007f4886968470 in QApplication::notify (this=this@entry=0x7fffb53a04b0, receiver=receiver@entry=0x385d690, e=e@entry=0x7fffb539ea80) at kernel/qapplication.cpp:4353
#10 0x00007f4887671a6a in KApplication::notify (this=0x7fffb53a04b0, receiver=0x385d690, event=0x7fffb539ea80) at ../../kdeui/kernel/kapplication.cpp:311
#11 0x00007f4885f628bd in QCoreApplication::notifyInternal (this=0x7fffb53a04b0, receiver=0x385d690, event=event@entry=0x7fffb539ea80) at kernel/qcoreapplication.cpp:946
#12 0x00007f4886966539 in sendEvent (event=0x7fffb539ea80, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#13 QApplicationPrivate::setFocusWidget (focus=focus@entry=0x0, reason=reason@entry=Qt::OtherFocusReason) at kernel/qapplication.cpp:2270
#14 0x00007f488699f5a4 in QWidget::clearFocus (this=0x7277930) at kernel/qwidget.cpp:6546
#15 0x00007f48869ada6f in QWidget::~QWidget (this=0x7277930, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1612
#16 0x0000000000627629 in Digikam::AddTagsLineEdit::~AddTagsLineEdit (this=0x7277930, __in_chrg=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/tags/addtagslineedit.cpp:121
#17 0x00007f4885f79308 in QObjectPrivate::deleteChildren (this=this@entry=0x5c90a80) at kernel/qobject.cpp:1907
#18 0x00007f48869adb37 in QWidget::~QWidget (this=0x2d09a10, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1681
#19 0x00000000006dbba9 in Digikam::AssignNameWidget::~AssignNameWidget (this=0x2d09a10, __in_chrg=<optimized out>) at /build/buildd/digikam-3.5.0/core/utilities/facemanagement/assignnamewidget.cpp:554
#20 0x00007f4885f79308 in QObjectPrivate::deleteChildren (this=this@entry=0x7813b50) at kernel/qobject.cpp:1907
#21 0x00007f48869adb37 in QWidget::~QWidget (this=0x7e3fbe0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1681
#22 0x00007f48869ade49 in QWidget::~QWidget (this=0x7e3fbe0, __in_chrg=<optimized out>) at kernel/qwidget.cpp:1705
#23 0x00007f4888d5032b in Digikam::AbstractWidgetDelegateOverlay::setActive (this=this@entry=0x3451c70, active=<optimized out>) at /build/buildd/digikam-3.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:219
#24 0x00007f4888d503db in Digikam::PersistentWidgetDelegateOverlay::setActive (this=this@entry=0x3451c70, active=<optimized out>) at /build/buildd/digikam-3.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:502
#25 0x0000000000614894 in Digikam::AssignNameOverlay::setActive (this=0x3451c70, active=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/items/assignnameoverlay.cpp:139
#26 0x00007f4888d51137 in Digikam::ImageDelegateOverlayContainer::setAllOverlaysActive (this=<optimized out>, active=active@entry=false) at /build/buildd/digikam-3.5.0/core/libs/widgets/itemview/imagedelegateoverlay.cpp:702
#27 0x0000000000608098 in Digikam::ImageCategorizedView::setItemDelegate (this=this@entry=0x32b6860, delegate=0x32c4330) at /build/buildd/digikam-3.5.0/core/digikam/items/imagecategorizedview.cpp:247
#28 0x0000000000601a46 in Digikam::DigikamImageView::setFaceMode (this=0x32b6860, on=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/items/digikamimageview.cpp:213
#29 0x000000000060424c in Digikam::DigikamImageView::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/digikam-3.5.0/obj-x86_64-linux-gnu/core/digikam/digikamimageview.moc:148
#30 0x00007f4885f76a58 in QMetaObject::activate (sender=sender@entry=0x40dd6e0, m=m@entry=0x8737e0 <Digikam::PeopleSideBarWidget::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffb539ef10) at kernel/qobject.cpp:3539
#31 0x000000000069c484 in requestFaceMode (_t1=false, this=0x40dd6e0) at /build/buildd/digikam-3.5.0/obj-x86_64-linux-gnu/core/digikam/leftsidebarwidgets.moc:649
#32 Digikam::PeopleSideBarWidget::setActive (this=0x40dd6e0, active=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/views/leftsidebarwidgets.cpp:1195
#33 0x000000000065def9 in Digikam::DigikamView::slotLeftSidebarChangedTab (this=<optimized out>, w=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/views/digikamview.cpp:1874
#34 0x00000000006620e6 in Digikam::DigikamView::qt_static_metacall (_o=<optimized out>, _id=<optimized out>, _a=<optimized out>, _c=<optimized out>) at /build/buildd/digikam-3.5.0/obj-x86_64-linux-gnu/core/digikam/digikamview.moc:338
#35 0x00007f4885f76a58 in QMetaObject::activate (sender=0x32ad160, m=m@entry=0x7f488910a820 <Digikam::Sidebar::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffb539f0e0) at kernel/qobject.cpp:3539
#36 0x00007f4888d2948f in Digikam::Sidebar::signalChangedTab (this=<optimized out>, _t1=0x3f18eb0) at /build/buildd/digikam-3.5.0/obj-x86_64-linux-gnu/core/digikam/sidebar.moc:112
#37 0x00007f4885f76a58 in QMetaObject::activate (sender=0x40fa890, m=m@entry=0x7f4887a85960 <KMultiTabBarButton::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x7fffb539f210) at kernel/qobject.cpp:3539
#38 0x00007f488772b22e in KMultiTabBarButton::clicked (this=<optimized out>, _t1=0) at ./kmultitabbar.moc:216
#39 0x00007f4885f76a58 in QMetaObject::activate (sender=sender@entry=0x40fa890, m=m@entry=0x7f48874342a0 <QAbstractButton::staticMetaObject>, local_signal_index=local_signal_index@entry=2, argv=argv@entry=0x7fffb539f340) at kernel/qobject.cpp:3539
#40 0x00007f4886faf732 in QAbstractButton::clicked (this=this@entry=0x40fa890, _t1=true) at .moc/release-shared/moc_qabstractbutton.cpp:220
#41 0x00007f4886d12f73 in QAbstractButtonPrivate::emitClicked (this=this@entry=0x40faaf0) at widgets/qabstractbutton.cpp:548
#42 0x00007f4886d140e3 in QAbstractButtonPrivate::click (this=this@entry=0x40faaf0) at widgets/qabstractbutton.cpp:541
#43 0x00007f4886d141cc in QAbstractButton::mouseReleaseEvent (this=0x40fa890, e=0x7fffb539f830) at widgets/qabstractbutton.cpp:1123
#44 0x00007f48869b131e in QWidget::event (this=0x40fa890, event=0x7fffb539f830) at kernel/qwidget.cpp:8375
#45 0x00007f4886961dfc in QApplicationPrivate::notify_helper (this=this@entry=0x28da8d0, receiver=receiver@entry=0x40fa890, e=e@entry=0x7fffb539f830) at kernel/qapplication.cpp:4567
#46 0x00007f48869685ad in QApplication::notify (this=this@entry=0x7fffb53a04b0, receiver=receiver@entry=0x40fa890, e=e@entry=0x7fffb539f830) at kernel/qapplication.cpp:4110
#47 0x00007f4887671a6a in KApplication::notify (this=0x7fffb53a04b0, receiver=0x40fa890, event=0x7fffb539f830) at ../../kdeui/kernel/kapplication.cpp:311
#48 0x00007f4885f628bd in QCoreApplication::notifyInternal (this=0x7fffb53a04b0, receiver=receiver@entry=0x40fa890, event=event@entry=0x7fffb539f830) at kernel/qcoreapplication.cpp:946
#49 0x00007f4886967d63 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#50 QApplicationPrivate::sendMouseEvent (receiver=receiver@entry=0x40fa890, event=event@entry=0x7fffb539f830, alienWidget=alienWidget@entry=0x40fa890, nativeWidget=nativeWidget@entry=0x32ad160, buttonDown=buttonDown@entry=0x7f48874462f8 <qt_button_down>, lastMouseReceiver=..., spontaneous=spontaneous@entry=true) at kernel/qapplication.cpp:3178
#51 0x00007f48869dc7db in QETWidget::translateMouseEvent (this=this@entry=0x32ad160, event=event@entry=0x7fffb539fbb0) at kernel/qapplication_x11.cpp:4631
#52 0x00007f48869dc079 in QApplication::x11ProcessEvent (this=0x7fffb53a04b0, event=event@entry=0x7fffb539fbb0) at kernel/qapplication_x11.cpp:3624
#53 0x00007f4886a03922 in x11EventSourceDispatch (s=0x28dc6f0, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#54 0x00007f487d8f03b6 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#55 0x00007f487d8f0708 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#56 0x00007f487d8f07ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#57 0x00007f4885f8fa76 in QEventDispatcherGlib::processEvents (this=0x280b2a0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#58 0x00007f4886a039d6 in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#59 0x00007f4885f615ef in QEventLoop::processEvents (this=this@entry=0x7fffb539ff90, flags=...) at kernel/qeventloop.cpp:149
#60 0x00007f4885f618e5 in QEventLoop::exec (this=this@entry=0x7fffb539ff90, flags=...) at kernel/qeventloop.cpp:204
#61 0x00007f4885f66e5b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#62 0x00007f488696034c in QApplication::exec () at kernel/qapplication.cpp:3828
#63 0x0000000000491fb3 in main (argc=<optimized out>, argv=<optimized out>) at /build/buildd/digikam-3.5.0/core/digikam/main/main.cpp:235

Reported using DrKonqi
Comment 1 caulier.gilles 2014-05-16 07:29:03 UTC
digiKam 4.0.0 is out :

http://www.digikam.org/node/713

Please check if this entry still valid with this new version.

Thanks in advance

Gilles Caulier
Comment 2 caulier.gilles 2014-06-11 21:13:57 UTC
Git commit fa909aa96e7e41225551cd9e866618717f1ea546 by Gilles Caulier.
Committed on 11/06/2014 at 21:06.
Pushed by cgilles into branch 'master'.

use a better C++ exception wrapper to handle non OpenCV exceptions (as pure C++ one)
Related: bug 335624, bug 330342, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +4    -0    libkface/facedetector.cpp
M  +17   -2    libkface/recognitiondatabase.cpp

http://commits.kde.org/libkface/fa909aa96e7e41225551cd9e866618717f1ea546
Comment 3 caulier.gilles 2014-06-11 21:30:17 UTC
With next digiKam 4.1.0, i fixed libkface to handle all C++ exception (and not only OpenCV exception).

So, at least, digiKam must crash lesser now. If you want to review this entry again, use current implementation from git/master, or wait next 4.1.0 release...

Thanks to update your feedback

Gilles Caulier
Comment 4 caulier.gilles 2014-06-18 14:26:14 UTC
Git commit 4662dd94102f8144bc65ce1cb66d6b6cb1d500fd by Gilles Caulier.
Committed on 18/06/2014 at 14:22.
Pushed by cgilles into branch 'master'.

Libkface now depand of last stable OpenCV library version 2.4.9
This prevent internal crash int Cv:Algorithm that we cannot handle in libkface as exception.
Now, Face Recognition do not crash but still report Exception at training operations, especially about wrong Cv:Matrix size :

digikam(8673)/digikam (core) Digikam::DImg::load:"/mnt/data2/photos/GILLES/NEW/Adrien/2010-04-13/20100413_009.jpg"  :
JPEG file identified
OpenCV Error: Assertion failed (0 <= _dims && _dims <= CV_MAX_DIM) in setSize, file /mnt/devel/opencv/modules/core/src/matrix.cpp, line 89
digikam(8673)/KFACE: cv::Exception training LBPH: /mnt/devel/opencv/modules/core/src/matrix.cpp:89: error: (-215) 0 <=_dims && _dims <= CV_MAX_DIM in function setSize

It still a problem somwhere, but it's better than previous state.
Related: bug 335624, bug 330342, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 323361, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +1    -1    CMakeLists.txt

http://commits.kde.org/libkface/4662dd94102f8144bc65ce1cb66d6b6cb1d500fd
Comment 5 caulier.gilles 2014-06-24 12:43:29 UTC
Git commit 1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b by Gilles Caulier.
Committed on 24/06/2014 at 12:32.
Pushed by cgilles into branch 'master'.

add more test before to commit/checkout compressed histogram data in Face database, to prevent crashes, especially if data are corrupted from database.
Related: bug 335624, bug 330342, bug 326742, bug 326586, bug 326585, bug 324774, bug 323888, bug 320812, bug 312440, bug 309027, bug 308645, bug 301611, bug 297558, bug 285517

M  +62   -28   libkface/database/trainingdb.cpp

http://commits.kde.org/libkface/1fff86f31e3bf47a2a2cfa6eaa98bb1bdf1a863b
Comment 6 caulier.gilles 2014-06-24 13:53:25 UTC
With next digiKam 4.1.0, a lots of improvements/fixes have be done around face management. Please give us a fresh feedback.

Note i recommend to delete face recognition database to prevent dysfunction due to possible wrong data store in this container. Look where file is located in my computer :

[gilles@localhost database]$ pwd
/home/gilles/.kde4/share/apps/libkface/database
[gilles@localhost database]$ ls -al
total 397028
drwx------ 2 gilles gilles      4096 juin  24 14:22 ./
drwx------ 3 gilles gilles      4096 juin  18 19:08 ../
-rw-r--r-- 1 gilles gilles 406543360 juin  24 14:22 recognition.db
[gilles@localhost database]$
Comment 7 caulier.gilles 2014-08-24 08:47:09 UTC
We need a fresh feedback of this file using last digiKam 4.2.0.

Gilles Caulier
Comment 8 caulier.gilles 2015-06-25 13:10:47 UTC
New digiKam 4.11.0 is available with official PKG installer for OSX.

https://www.digikam.org/node/740

Can you reproduce the problem with this release ?
Comment 9 caulier.gilles 2015-08-20 06:48:15 UTC
digiKam 4.12.0 is out :

https://www.digikam.org/node/741

We need a fresh feedback using this release please...
Thanks in advance.

Gilles Caulier
Comment 10 Karl-Wilhelm Frommeyer 2015-08-20 17:21:29 UTC
Created attachment 94136 [details]
attachment-27756-0.html

Hi Gilles, now it works fine, good performance and no crash!
Thank you and to your team for all effort taken. I'm happy with your great results, I'm using Digikam with great pleasure every day.
Kind regards Karl-Wilhelm